Bug 1995470 - Activation key can be deleted, but still shows up in hostgroup configuration
Summary: Activation key can be deleted, but still shows up in hostgroup configuration
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Activation Keys
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.13.0
Assignee: Partha Aji
QA Contact: Lucy Fu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-19 08:39 UTC by Karnvir Singh
Modified: 2023-01-21 08:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 35386 0 Normal Closed Activation key can be deleted, but still shows up in hostgroup configuration 2022-09-29 11:43:30 UTC
Red Hat Issue Tracker SAT-12300 0 None None None 2022-12-16 21:13:56 UTC
Red Hat Knowledge Base (Solution) 6994936 0 None None None 2023-01-21 08:04:15 UTC

Description Karnvir Singh 2021-08-19 08:39:36 UTC
Description of problem:

Activation key can be deleted if it is part of a hostgroup, after successful deletion it still shows up in hostgroup configuration

Version-Release number of selected component (if applicable):

Satellite 6.8

How reproducible:

100%

Steps to Reproduce:
1. Create an Activation Key
2. Create a hostgroup and that activation key to hostgroup.
3. Now delete the activation key created in Step1
4. Check under Activation Key of hostgroup, deleted activation key is still listed.

Actual results:

After deleting the activation key, it is still listed under hostgroup.

Expected results:

As activation key is part of hostgroup so Satellite should not allow to delete this key.
Secondly if activation key is deleted then it should be automatically removed from hostgroup as well, because it does not exist on Satellite server.

Comment 3 Partha Aji 2022-08-18 18:42:30 UTC
Connecting redmine issue https://projects.theforeman.org/issues/35386 from this bug

Comment 4 Bryan Kearney 2022-08-18 20:03:53 UTC
Upstream bug assigned to paji

Comment 5 Bryan Kearney 2022-08-18 20:03:55 UTC
Upstream bug assigned to paji

Comment 6 Bryan Kearney 2022-08-22 16:03:58 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35386 has been resolved.

Comment 9 Lucy Fu 2023-01-11 13:18:10 UTC
A warning was displayed when deleting a AK with HG connected.


Note You need to log in before you can comment on or make changes to this bug.